#ifndef BUTTON_H
#define BUTTON_H

#include "Button2.h"
#include "Configuration.h"

class Button {

  public:

    static void begin();
    static void loop();

    Button(int pin);

    // beide Taster wurden verarbeitet, diese nun vergessen
    static void reset();

    int getPin();

    static Button* startButton;
    static Button* targetButton;

    static void releasedHandler(Button2& brn);

  private:

    int pin;
    Button2* button2;

    // Array mit allen GPIOs, an denen die Taster angeschlossen sind
    static int buttonPin[NumButtons];

    // Button selbst
    static Button* button[NumButtons];

    static Button* getButton(Button2& btn2);

};

#endif
